export declare class BsCarousel {
  controls: boolean;
  indicators: boolean;
  pauseOnHover: boolean;
  autoplay: boolean;
  autoplayInterval: number;
  itemsToShow: number;
  swipe: boolean;
  animation: 'fade' | 'slide';
  speed: number;
  userPaused: boolean;
  el: HTMLElement;
  private _sliderEl;
  private _slider;
  private _prevButton;
  private _nextButton;
  private _slideObserver;
  componentDidLoad(): void;
  disconnectedCallback(): void;
  pause(): Promise<void>;
  play(): Promise<void>;
  handlePageVisibilityChange(visible: boolean): void;
  private setupCarousel;
  private handleAddRemoveSlides;
  render(): any;
}
